/**
 * AdressAusgabe.java
 * Klasse zur Ausgabe eines Adressbucheintrages
 * @author Christoph Tornau
 *
 */
public class AdressAusgabe {
 
	public String name;
	public String vorname;
	public String strasse;
	public String plz;
	public String ort;
 
	public AdressAusgabe(String name, String vorname, String strasse, String plz, String ort  ) {
		this.name = name;
		this.vorname = vorname;
		this.strasse = strasse;
		this.ort = ort;
		this.plz = plz;
	}
 
	public String toString()
	{
		String output = "";
 
		output += ("***");
		output += (name);
		for (int i= name.length() + 3; i<30; i++)
			output += ("*");
		output += ("\n");
 
		output += ("***");
		output += (vorname);
		for (int i= vorname.length() + 3; i<30; i++)
			output +=("*");
		output += ("\n");
 
		output += ("***");
		output += (strasse);
		for (int i= strasse.length() + 3; i<30; i++)
			output += ("*");
		output += ("\n");
 
		output += ("***");
		output += (plz);
		for (int i= plz.length() + 3; i<30; i++)
			output +=("*");
		output += ("\n");
 
		output += ("***");
		output += (ort);
		for (int i= ort.length() + 3; i<30; i++)
			output +=("*");
		output += ("\n");
 
		output += ("***");
		output += ("");
		for (int i= "".length() + 3; i<30; i++)
			output +=("*");
		output += ("\n");
 
		return output;
	}
 
	/**
	 * Main method
	 * @param args
	 */
	public static void main(String[] args) {
 
		AdressAusgabe myAdresse1 = new AdressAusgabe ("Maier","Hans",
				"Musterstrasse 1","11111","Musterstadt");
		System.out.println(myAdresse1);
 
		AdressAusgabe myAdresse2 = new AdressAusgabe ("Gustav","Morgan",
				"Pappelallee 15","53122","Bonn");
		System.out.println(myAdresse2);
 
	}
}